Bug 190435 - [iOS] Add typedef for WebEvent keyboard flags
Summary: [iOS] Add typedef for WebEvent keyboard flags
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks: 190571
  Show dependency treegraph
 
Reported: 2018-10-10 12:12 PDT by Daniel Bates
Modified: 2018-10-14 22:02 PDT (History)
3 users (show)

See Also:


Attachments
Patch (6.88 KB, patch)
2018-10-10 12:17 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (3.93 KB, patch)
2018-10-10 15:52 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2018-10-10 12:12:01 PDT
Segregate WebEvent SPI from UIKit SPI by introducing a typedef for the keyboard flags associated with a WebEvent. This avoids the need for call sites to have knowledge of both WebEvent and UIKit SPI in order to make use of keyboard flags.
Comment 1 Daniel Bates 2018-10-10 12:17:11 PDT
Created attachment 351980 [details]
Patch
Comment 2 Build Bot 2018-10-10 12:18:55 PDT
Attachment 351980 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ios/WebEvent.h:142:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/ios/WebEvent.h:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/ios/WebEvent.h:171:  Should have space between @property and attributes.  [whitespace/property] [4]
ERROR: Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:3811:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 4 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Daniel Bates 2018-10-10 15:52:22 PDT
Created attachment 351996 [details]
Patch
Comment 4 Build Bot 2018-10-10 15:55:06 PDT
Attachment 351996 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/ios/WebEvent.h:142:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/ios/WebEvent.h:153:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebCore/platform/ios/WebEvent.h:171:  Should have space between @property and attributes.  [whitespace/property] [4]
Total errors found: 3 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Daniel Bates 2018-10-11 13:30:02 PDT
Comment on attachment 351996 [details]
Patch

Clearing flags on attachment: 351996

Committed r237045: <https://trac.webkit.org/changeset/237045>
Comment 6 Daniel Bates 2018-10-11 13:30:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-10-11 13:31:36 PDT
<rdar://problem/45203651>